1. cartersymes's Avatar
    Hi,

    Just a quick question. I have a first gen Iphone on 2.2. I am not really fussed about it being jailbroken anymore. Could I just update it to 3.1 or would it make it not work as it has already been unlocked?

    Any help would be greatly appreciated.

    Nathan. x
    09-18-2009 11:05 AM
  2. Kerti's Avatar
    Don't do the jailbreak if you need the phone to be unlocked, cause you'll lose the unlock. And if I'm not mistaken, the dev team hasn't released the jailbreak for 3.1 yet.
    09-18-2009 11:33 AM
  3. cartersymes's Avatar
    Thanks for the reply.

    I don't mind losing the unlock as I don't mind about it being unlocked. It is unlocked at the moment and I was just wondering if I did update my phone to 3.1 whether it would work Ok?

    Thank you.
    09-18-2009 12:27 PM
  4. Ipheuria's Avatar
    Jailbreak and Unlock are two different things so you have to differentiate if you care about either one. Jailbreak makes your phone able to access non-Apple sanctioned apps and more accessible. Unlock enables you to use the phone with any carrier AT&T, T-Mobile, Rogers, Fido, etc. all you do is put the SIM in the phone and it will work. If you upgrade to 3.1 via Itunes for now the ability to unlock will be lost, you can still JB but even that may become more dificult. Some people even though they don't need their phone to be unlocked like to keep the ability to unlock as a selling feature if they decide to update the phone. If you can use it without it being unlocked, you don't care about Unlocking and JBing ability then you are fine to upgrade to 3.1 it will wipe out your JB. However if you don't care about it being unlocked, meaning you can use it without it being unlocked why is it unlocked now?
    09-18-2009 02:52 PM
  5. Ipheuria's Avatar
    If you want to update to 3.1 I would say if it is currently unlocked hook it up to Itunes, you will see the option to restore it to default settings do that before you upgrade to 3.1

    However wait for someone more knowledgable to backup what I have said because I may be wrong.
    09-18-2009 02:53 PM
  6. cartersymes's Avatar
    Hey,

    Great thanks for the help. I had it unlocked because its my Iphone from when they were released in the UK and could only work on contract. I was on Pay as you go.

    Now it seems o2 allow pay as you go on Iphone so I thought I might as well just upgrade as my phone should work fine now with a o2 pay as you go sim card.

    Would someone be so kind to confirm that if I do upgrade my O2 pay as you go simcard should work fine for it?

    Thank you very much for your help thus far.

    Nathan
    09-18-2009 08:03 PM
  7. obee1's Avatar
    You can just upgrade to 3.1 through iTunes. You may possibly lose the ability to jailbreak or unlock ever again according to Dev-Team, but your phone being currently unlocked won't cause any problems with upgrading.

    As far as the O2 question, I'm not sure. I'd suggest you call O2 customer support and make sure with them that the sim card will work with your iphone before you do anything since you can't easily go back if you upgrade.
    09-18-2009 10:47 PM
  8. cscturulo's Avatar
    Nice thread.
    09-19-2009 06:07 PM
  9. Allyson Kazmucha's Avatar
    You should be fine. If you know your carrier allows pay as you go SIMs with the phone, you'll be alright.

    Just restore the phone through iTunes
    09-19-2009 11:22 PM
  10. cartersymes's Avatar
    Just thought I should add some resolution to this..

    Emailed o2. I need a 3G sim card then all should be fine. They are sending me one free of charge today.

    Will let you know if there are any more issues. x
    09-23-2009 06:31 AM
  11. cartersymes's Avatar
    Ok,

    I got the sim card off o2. Download the new update only to get the message on itunes "The sim card inserted does not appear to be inserted". I then remebered that my phone was originally from the states so it will prob not work cause it's not AT&T.

    It looks like my phone is horrifically bricked. Does anyone know anything I could do?

    I download the pwnage tool 3.1 but it seems to be a .dmg file and I cant open that.

    I am in a bit of a pickle so any help it greatly appreciated.

    Nathan.
    10-01-2009 05:12 AM
LINK TO POST COPIED TO CLIPBOARD